Communauté
Inventor - Français
Bienvenue sur les forums Inventor d’Autodesk. Partagez vos connaissances, posez des questions, collaborez sur des idées, et explorez les sujets Inventor populaires.
annuler
Affichage des résultats de 
Afficher  uniquement  | Rechercher plutôt 
Vouliez-vous dire : 

iPropriété - Récuperer l'information de pliage des pièces dans les nomenclatures

10 RÉPONSES 10
RÉSOLU
Répondre
Message 1 sur 11
olivaw
258 Visites, 10 Réponses

iPropriété - Récuperer l'information de pliage des pièces dans les nomenclatures

Bonjour,

je cherche a faire apparaitre dans mes nomenclatures d'assemblage une colonne qui m'indiquerais, pour chaque pièces, si elle possède des pliages ou pas.

dit autrement: je cherche dans chaque pièces a ajouter une iPropriété qui contiendrais une valeur de type "oui/non" sur l'existence de fonctions pliage. et faire monter cette iPropriété dans la nomenclature d'assemblage.

 

j'ai regardé du coté des paramètres, des iProprietes existantes, de créer une règle avec un déclencheur qui renseignerais cette propriété mais je n'ai pas réussit pour l'instant.

 

quelqu’un saurait il comment s'y prendre ?

 

Merci 🙂

10 RÉPONSES 10
Message 2 sur 11
vpeuvion
en réponse à: olivaw

Bonjour, vous pouvez utiliser le nombre de plis de la collection FlatBendResults.

FlatBendResults.count

Si supérieur à 0 alors il y a au moins un pli.

vpeuvion_0-1676964484917.png

Vincent.

Message 3 sur 11
olivaw
en réponse à: vpeuvion

Merci pour votre réponse!

 

j'ai essayé d'utiliser cette syntaxe dans une règle iLogic mais il ne semble pas la reconnaitre ( voir ci dessous le message d'erreur )...

cette syntaxe n'est elle valable que dans VBA ?

si c'est le cas je ne suis pas bien:  VBA je connais pas encore    : |

 

ilogic NbPlis.JPG

 

Message 4 sur 11
vpeuvion
en réponse à: olivaw

Vous ne pouvez pas y accéder directement de cette façon, vous devez passer par le sheetMetalComponentDefinition du document pièce.

Vincent.

Message 5 sur 11
vpeuvion
en réponse à: olivaw

Voici un exemple : 

Sub Main()
	Dim oPartDocument As PartDocument = ThisDoc.Document
	Dim oSheetMetalComp As SheetMetalComponentDefinition = oPartDocument.ComponentDefinition
	Dim oBends As FlatBendResults = oSheetMetalComp.FlatPattern.FlatBendResults ' Accès à la collection de plis
	Dim BendCounter As Integer = oBends.Count	' Compteur de plis de la collection
	Dim AvecPli As Boolean = False ' Booléen représentant la présence de pli
	If BendCounter > 0 Then 
		AvecPli = True
	Else 
		AvecPli = False
	End If
	MessageBox.Show("Présence pli --> " & AvecPli)
End Sub	

Vincent. 

Message 6 sur 11
olivaw
en réponse à: vpeuvion

Bon, désolé si je ne fait pas tout comme il faudrais. je pence que de toute façon je vais me mettre sérieusement à la programmation en VBA car je suis un peut perdu là.

 

j'ai copié votre code dans une nouvelle règle et j’obtiens ce message d’erreur :

 

erreurpli2.JPG

reglepli2.JPG

  

Message 7 sur 11
ThomasB44
en réponse à: olivaw

Tu n'as pas du créer de mise à plat dans ta pièce de tôlerie, d'où l'erreur.

Cette commande regarde les plis dans une mise à plat :

oSheetMetalComp.FlatPattern.FlatBendResults

Thomas
Mechanical Designer / Inventor Professionnal 2023
Inventor Professional EESignature

Message 8 sur 11
vpeuvion
en réponse à: olivaw

Je pense que Thomas a raison au sujet de ce qui cause ce message d'erreur.

Je vois aussi que vous avez créé des paramètres Inventor du même nom que ceux dans le code (AvecPli et BendCounter).

Je vous déconseille de le faire, il peut y avoir des interférences puisqu'ils sont initialisés dans le code.

Vous pouvez transférer leurs valeurs dans vos paramètres Inventor en ajoutant ces lignes à la fin du code par exemple :

Parameter("nbplis_tole") = BendCounter
Parameter("AvecPliage") = AvecPli

Vincent. 

Message 9 sur 11
olivaw
en réponse à: ThomasB44

effectivement ! j'ai testé avec la mise à plat et ça marche. Merci
Message 10 sur 11
olivaw
en réponse à: vpeuvion

Ho ok, je pensait qu'il fallait obligatoirement déclarer les variable dans les paramètre inventor.
Merci pour votre aide.
je pence me mettre au VBA suite à votre aide.
si vous avez un conseil pertinent de livre ou de ressource sur le net pour démarrer le VBA en gros débutant je suis preneur.
Merci encore
Message 11 sur 11
vpeuvion
en réponse à: olivaw

Bonjour, petite précision : le langage utilisé n'est pas le VBA mais le VB.net.

Cette page vous explique ce qu'est iLogic : https://www.autodesk.com/autodesk-university/article/iLogic-Best-Practices-and-Fundamentals-for-Succ...

Ce lien peut être intéressant aussi : Mod the Machine: Inventor API Training Lesson 1 (typepad.com)

Vous trouverez facilement des exemples de code sur le net et notamment sur les forums Autodesk.

Vous pouvez retrouver des informations ici aussi comme par exemple l'accès à la collection FlatBendResults :

vpeuvion_0-1677135264835.png

Vincent.

Vous n'avez pas trouvé ce que vous recherchiez ? Posez une question à la communauté ou partagez vos connaissances.

Publier dans les forums  

Autodesk Design & Make Report